Description

Currently arguments of a controller must be registered manually through the $this->arguments->addNewArgument()
 method.

In the future this should be possible per action and by just defining arguments as method arguments (and properly documenting
them):

/**
 * @param string $uuid
 * @param string $name 
 * @param string $description Description of blog posting
 */
public function updateAction($uuid, $name, $description) {
}

How validation is configured requires, however, further research.

Associated revisions
Revision 545d688f - 2009-02-04 16:21 - Robert Lemke

    -  FLOW3: (MVC) (mostly) implemented automatic registration of action arguments: Now you don't need to register arguments manually with
$this->arguments->addNewArgument(...); but just write an action method with arguments and document them properly in the method's DocComment.
Note that only basic support is implemented yet (stringm, integer and object arguments) and that other validators (such as "required") are not yet
configured automatically. Addresses #2506.
    -  FLOW3: (MVC) !!! Removed the initializeController() method from the AbstractController. Didn't find any meaningful use case at the moment (use
initializeObject() instead!)
    -  FLOW3: (MVC) Wrote proper tests for the ActionController (old ones didn't use mock objects)
    -  Fluid: (View) Fixed resolveTemplatePathAndFilename() in the TemplateView: If no sub package was defined, the path contained a double slash
"...//.."" 
    -  Testing: Added more convience functions to the Accessible Proxy: with $proxy->_get() and $proxy->_set() even protected properties can be
retrieved and set

History
#1 - 2009-02-04 16:22 - Robert Lemke
- % Done changed from 0 to 50

#2 - 2009-03-04 10:22 - Robert Lemke
- % Done changed from 50 to 70
Implemented support for object arguments. Not committed yet, though.

#3 - 2009-03-28 16:20 - Sebastian Kurfuerst

I think that's all committed so far. Can we close this issue?

#4 - 2009-03-31 10:41 - Robert Lemke
- Status changed from Accepted to Resolved
